gpiops: XGpioPs Struct Reference

| gpiops Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XGpioPs Struct Reference
Gpiops_v3_6

The XGpioPs driver instance data. More...

## Data Fields
XGpioPs_Config | GpioConfig
| Device configuration. More...
u32 | IsReady
| Device is initialized and ready. More...
XGpioPs_Handler | Handler
| Status handlers for all banks. More...
void * | CallBackRef
| Callback ref for bank handlers. More...
u32 | Platform
| Platform data. More...
u32 | MaxPinNum
| Max pins in the GPIO device. More...
u8 | MaxBanks
| Max banks in a GPIO device. More...
u32 | PmcGpio
| Flag for accessing PS GPIO for versal. More...

## Detailed Description

The XGpioPs driver instance data.

The user is required to allocate a variable of this type for the GPIO device in the system. A pointer to a variable of this type is then passed to the driver API functions.

## Field Documentation

void* XGpioPs::CallBackRef

Callback ref for bank handlers.

Referenced by XGpioPs_SetCallbackHandler().

XGpioPs_Config XGpioPs::GpioConfig

Device configuration.

Referenced by XGpioPs_GetDirection(), XGpioPs_GetDirectionPin(), XGpioPs_GetIntrType(), XGpioPs_GetIntrTypePin(), XGpioPs_GetOutputEnable(), XGpioPs_GetOutputEnablePin(), XGpioPs_IntrClear(), XGpioPs_IntrClearPin(), XGpioPs_IntrDisable(), XGpioPs_IntrDisablePin(), XGpioPs_IntrEnable(), XGpioPs_IntrEnablePin(), XGpioPs_IntrGetEnabled(), XGpioPs_IntrGetEnabledPin(), XGpioPs_IntrGetStatus(), XGpioPs_IntrGetStatusPin(), XGpioPs_Read(), XGpioPs_ReadPin(), XGpioPs_SetDirection(), XGpioPs_SetDirectionPin(), XGpioPs_SetIntrType(), XGpioPs_SetIntrTypePin(), XGpioPs_SetOutputEnable(), XGpioPs_SetOutputEnablePin(), XGpioPs_Write(), and XGpioPs_WritePin().

XGpioPs_Handler XGpioPs::Handler

Status handlers for all banks.

Referenced by XGpioPs_IntrHandler(), and XGpioPs_SetCallbackHandler().

u32 XGpioPs::IsReady

Device is initialized and ready.

Referenced by XGpioPs_GetDirection(), XGpioPs_GetDirectionPin(), XGpioPs_GetIntrType(), XGpioPs_GetIntrTypePin(), XGpioPs_GetOutputEnable(), XGpioPs_GetOutputEnablePin(), XGpioPs_IntrClear(), XGpioPs_IntrClearPin(), XGpioPs_IntrDisable(), XGpioPs_IntrDisablePin(), XGpioPs_IntrEnable(), XGpioPs_IntrEnablePin(), XGpioPs_IntrGetEnabled(), XGpioPs_IntrGetEnabledPin(), XGpioPs_IntrGetStatus(), XGpioPs_IntrGetStatusPin(), XGpioPs_IntrHandler(), XGpioPs_Read(), XGpioPs_ReadPin(), XGpioPs_SelfTest(), XGpioPs_SetCallbackHandler(), XGpioPs_SetDirection(), XGpioPs_SetDirectionPin(), XGpioPs_SetIntrType(), XGpioPs_SetIntrTypePin(), XGpioPs_SetOutputEnable(), XGpioPs_SetOutputEnablePin(), XGpioPs_Write(), and XGpioPs_WritePin().

u8 XGpioPs::MaxBanks

Max banks in a GPIO device.

Referenced by XGpioPs_IntrHandler().

u32 XGpioPs::MaxPinNum

Max pins in the GPIO device.

u32 XGpioPs::Platform

Platform data.

u32 XGpioPs::PmcGpio

Flag for accessing PS GPIO for versal.

Referenced by GpioPolledExample(), XGpioPs_GetDirection(), XGpioPs_GetIntrType(), XGpioPs_GetOutputEnable(), XGpioPs_IntrClear(), XGpioPs_IntrDisable(), XGpioPs_IntrEnable(), XGpioPs_IntrGetEnabled(), XGpioPs_IntrGetStatus(), XGpioPs_IntrHandler(), XGpioPs_Read(), XGpioPs_SetDirection(), XGpioPs_SetIntrType(), XGpioPs_SetOutputEnable(), and XGpioPs_Write().